Remove Phone Numbers
curl --request POST \
--url https://dataapi.dncscrub.com/v1.5/TrustCall/Remove \
--header 'Content-Type: <content-type>' \
--header 'loginId: <loginid>'import requests
url = "https://dataapi.dncscrub.com/v1.5/TrustCall/Remove"
headers = {
"loginId": "<loginid>",
"Content-Type": "<content-type>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {loginId: '<loginid>', 'Content-Type': '<content-type>'}
};
fetch('https://dataapi.dncscrub.com/v1.5/TrustCall/Remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Phone": "5039367187",
"Response": "Phone number removed from monitor"
},
{
"Phone": "8084565302",
"Response": "Phone number removed from monitor"
}
]
Call Deliverability (TrustCall)
Remove Phone Numbers
Remove phone numbers from TrustCall monitoring
POST
/
v1.5
/
TrustCall
/
Remove
Remove Phone Numbers
Remove phone numbers from TrustCall monitoring. Removed numbers will no longer be tracked for carrier spam scores.
Request
Headers
string
required
Your API Key (LoginId from your DNCScrub account)
string
required
Must be
application/jsonRequest Body
The request body is a JSON array of 10-digit phone number strings:["5039367187", "8084565302"]
Example Request
curl --location --request POST \
'https://dataapi.dncscrub.com/v1.5/TrustCall/Remove' \
--header 'loginId: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '["5039367187", "8084565302"]'
const response = await fetch(
'https://dataapi.dncscrub.com/v1.5/TrustCall/Remove',
{
method: 'POST',
headers: {
'Content-Type': 'application/json',
'loginId': 'YOUR_API_KEY'
},
body: JSON.stringify(['5039367187', '8084565302'])
}
);
const data = await response.json();
console.log(data);
using (var client = new HttpClient())
{
client.DefaultRequestHeaders.Add("loginId", "YOUR_API_KEY");
var phoneNumbers = new[] { "5039367187", "8084565302" };
var content = new StringContent(
JsonSerializer.Serialize(phoneNumbers),
Encoding.UTF8,
"application/json"
);
var response = await client.PostAsync(
"https://dataapi.dncscrub.com/v1.5/TrustCall/Remove",
content
);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
[
{
"Phone": "5039367187",
"Response": "Phone number removed from monitor"
},
{
"Phone": "8084565302",
"Response": "Phone number removed from monitor"
}
]
Response Fields
string
The phone number that was removed
string
Status message indicating the result of the remove operation
Error Responses
| Status | Description |
|---|---|
| 400 Bad Request | Invalid request body or phone number format |
| 401 Unauthorized | Invalid or missing API key |
⌘I